/*----------------------------------------------------------------------
  File Name          : XL355.h
  Author             : MPD Application Team
  Version            : V1.0
  Date               : 04/15/2015
  Description        : XL355 Registers and bits values
  File ID            : $Id: xl355.h,v 1.1.1.1 2015/04/15$

  Analog Devices ADXL355 digital output accelerometer 
  with advanced digital features.

  Based on preliminary data sheet PreB V5

  (c) 2015 Analog Devices application support team.
  neil.zhao@analog.com

  ----------------------------------------------------------------------

  The present firmware which is for guidance only aims at providing
  customers with coding information regarding their products in order
  for them to save time.  As a result, Analog Devices shall not be
  held liable for any direct, indirect or consequential damages with
  respect to any claims arising from the content of such firmware and/or
  the use made by customers of the coding information contained herein
  in connection with their products.

----------------------------------------------------------------------*/

#ifndef __XL355_H
#define __XL355_H

/* ------- Register names ------- */
#define XL355_DEVID_AD			0x00
#define XL355_DEVID_MST			0x01
#define XL355_PARTID				0x02
#define XL355_REVID					0x03
#define XL355_STATUS				0x04
#define XL355_FIFO_ENTRIES	0x05
#define XL355_TEMP2					0x06
#define XL355_TEMP1					0x07
#define XL355_XDATA3				0x08
#define XL355_XDATA2				0x09
#define XL355_XDATA1				0x0A
#define XL355_YDATA3				0x0B
#define XL355_YDATA2				0x0C
#define XL355_YDATA1				0x0D
#define XL355_ZDATA3				0x0E
#define XL355_ZDATA2				0x0F
#define XL355_ZDATA1				0x10
#define XL355_FIFO_DATA			0x11
#define XL355_OFFSET_X_H		0x1E
#define XL355_OFFSET_X_L		0x1F
#define XL355_OFFSET_Y_H		0x20
#define XL355_OFFSET_Y_L		0x21
#define XL355_OFFSET_Z_H		0x22
#define XL355_OFFSET_Z_L		0x23
#define XL355_ACT_EN				0x24
#define XL355_ACT_THRESH_H	0x25
#define XL355_ACT_THRESH_L	0x26
#define XL355_ACT_COUNT			0x27
#define XL355_FILTER				0x28
#define XL355_FIFO_SAMPLES	0x29
#define XL355_INT_MAP				0x2A
#define XL355_SYNC					0x2B
#define XL355_RANGE					0x2C
#define XL355_POWER_CTL			0x2D
#define XL355_SELF_TEST			0x2E
#define XL355_RESET					0x2F

/*----------------------------------------------------------------------
  Bit field definitions and register values
  ----------------------------------------------------------------------*/
/* register values for Analog Devices ID                     		    */
/* The Analog Devices ID should always read this value, 
   The customer does not need to use this value but it can be used to 
   check that the device can communicate                                 */




#endif /* __XL355_H */
